Bug 68769 - [PATCH] devel/maven: update to 1.0.r4 and MASTER_SITE_APACHE
Summary: [PATCH] devel/maven: update to 1.0.r4 and MASTER_SITE_APACHE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Herve Quiroz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-07 15:40 UTC by Hervé Quiroz
Modified: 2004-08-08 00:49 UTC (History)
1 user (show)

See Also:


Attachments
maven-1.0.r4.patch (14.17 KB, patch)
2004-07-07 15:40 UTC, Hervé Quiroz
no flags Details | Diff
maven-1.0.r4.patch (9.01 KB, patch)
2004-07-09 12:17 UTC, Hervé Quiroz
no flags Details | Diff
devel::maven-update-1.0.diff (14.26 KB, patch)
2004-07-17 22:36 UTC, Rui Lopes
no flags Details | Diff
maven.diff (2.29 KB, patch)
2004-07-18 19:28 UTC, Hervé Quiroz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hervé Quiroz 2004-07-07 15:40:19 UTC
- Update to 1.0.r4
- Use ${MASTER_SITE_APACHE}
- Set and use ${DATADIR} as suggested in [1]
- ${DISTNAME} is now set according to ${PORTVERSION}
- post-configure -> do-configure


NOTE: I changed DIR to DATADIR to match the behaviour of other Java ports.
Indeed DATADIR is automatically added PLIST_SUB.

NOTE2: I did not manage to get x-generate-plist target running so I did a
little find/sed magic:

cd /usr/ports/devel/maven && make extract && cd work/maven* && \
(find . -type f -not -name '*.bat' | sed 's|^\.|%%DATADIR%%|' ; \
find . -type d | sort -r | sed 's|^\.|@dirrm %%DATADIR%%|')

This gives the same result excepted the ${PREFIX}/bin/maven executable. That's
why I added it in the ${PLIST_FILES} variable. I tend to prefer to have
everything that is generated (or symlinked) in the Makefile added to the
packing list through Makefile variables. But that's plain personal taste so I
understand you may disagree with this practice.

NOTE3: For the same reason ("plain personal taste"), I changed post-configure
to do-configure as I believe (and noticed in several other ports) this is
acutally the configuration stage of the port. Again you may disagree with that.


To sum up, the first two change items are quite needed (update to 1.0rc4 and
MASTER_SITE_APACHE) but the last three ones are more cosmetic changes. Feel
free to tell me your opinion on the subject and should you disagree with
something in this PR, I will provide a new patch to match your suggestions.


[1] Porter's handbook - Using Java - Best practices
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-java.html#JAVA-BEST-PRACTICES

Port maintainer (rui@ruilopes.com) is cc'd.

Generated with FreeBSD Port Tools 0.50
Comment 1 Volker Stolz freebsd_committer 2004-07-08 15:06:39 UTC
Forward PR to maintainer for reviewing.

Volker
Comment 2 Volker Stolz freebsd_committer 2004-07-08 15:06:56 UTC
State Changed
From-To: open->feedback

Forwarded PR to maintainer
Comment 3 Rui Lopes 2004-07-08 22:37:35 UTC
Hi Volker,

Volker Stolz wrote:
 > - Update to 1.0.r4
 > - Use ${MASTER_SITE_APACHE}
 > - Set and use ${DATADIR} as suggested in [1]
 > - ${DISTNAME} is now set according to ${PORTVERSION}

I'm OK with all changes except this one:
 > - post-configure -> do-configure

Basically I fell we shouln't override the default targets (the do-XXX) 
and only override the pre- and post- ones, this way the port system is 
free to have a default action for the do-XXX (maybe not applicable right 
now for java ports, but maybe in future it will).


[...]
 > To sum up, the first two change items are quite needed (update to 
1.0rc4 and
 > MASTER_SITE_APACHE) but the last three ones are more cosmetic 
changes. Feel
 > free to tell me your opinion on the subject and should you disagree with
 > something in this PR, I will provide a new patch to match your 
suggestions.
 >
 >
 > [1] Porter's handbook - Using Java - Best practices
 > 
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-java.html#JAVA-BEST-PRACTICES

Nice, we now have a Java section :)


Thanks for updating the port Volker!


Best regards,
Rui Lopes
Comment 4 Hervé Quiroz 2004-07-09 12:17:49 UTC
Hi Rui and Volker,

Here is the final patch with:

- Modification Rui asked for (keep post-configure target)
- Removed some arguments to ${FIND} that were deprecated with this
  release of Maven
- Dynamic pkg-plist (hence I removed the maintainer target)

So now the port portlints fine.

Herve
Comment 5 Rui Lopes 2004-07-09 12:54:26 UTC
Herve Quiroz wrote:
> Here is the final patch with:
> 
> - Modification Rui asked for (keep post-configure target)
> - Removed some arguments to ${FIND} that were deprecated with this
>   release of Maven
> - Dynamic pkg-plist (hence I removed the maintainer target)
> 
> So now the port portlints fine.

Seems ok, nice work Herve!   Please commit this Volker.

Thanks!
Rui Lopes
Comment 6 Volker Stolz freebsd_committer 2004-07-09 15:59:41 UTC
State Changed
From-To: feedback->open

Revised patches received; approved by maintainer.
Comment 7 stolz 2004-07-12 12:19:49 UTC
Am 09. Jul 2004 um 13:17 CEST schrieb Herve Quiroz:
> - Dynamic pkg-plist (hence I removed the maintainer target)

Hm, I'm strongly against dynamic plist -- partly because they're
always right when something goes wrong and partly I like to look
at them occassionally. Is this *really* necessary?

Volker
-- 
http://www-i2.informatik.rwth-aachen.de/stolz/ *** PGP *** S/MIME
Neu! Ändern Sie den Anfangstag Ihrer Woche
Comment 8 Hervé Quiroz 2004-07-12 12:43:56 UTC
Volker,

On Mon, Jul 12, 2004 at 01:19:49PM +0200, Volker Stolz wrote:
> Am 09. Jul 2004 um 13:17 CEST schrieb Herve Quiroz:
> > - Dynamic pkg-plist (hence I removed the maintainer target)
> 
> Hm, I'm strongly against dynamic plist -- partly because they're
> always right when something goes wrong and partly I like to look
> at them occassionally. Is this *really* necessary?

Not necessary at all. It's just that some other commiter (eik) just
asked me for a dynamic plist for one of my ports.

I'm used to 'pkg_info -L' but I agree this doesn't work with ports you
don't have installed yet.

Moreover, with bento runs it gets quite easy to detect when (and where)
a port fails.

Anyway, you are the commiter actually so you will eventually decide. I
mean I really need maven 1.0rc4 in the ports tree but the rest is just
plain cosmetic changes I applied because I got time to spare by then ;)
..and because I don't like to have portlint crying when I send a PR. 

Herve
Comment 9 Rui Lopes 2004-07-17 22:36:37 UTC
Volker Stolz wrote:
> Am 09. Jul 2004 um 13:17 CEST schrieb Herve Quiroz:
> 
>>- Dynamic pkg-plist (hence I removed the maintainer target)
> 
> 
> Hm, I'm strongly against dynamic plist -- partly because they're
> always right when something goes wrong and partly I like to look
> at them occassionally. Is this *really* necessary?

Humm, I'm not against nor in favor of them;   but, like you, I like to 
have them arround to take a peek before install.  We have no need to 
nuke them, so I'll keep them.


See the attached patch, it contains all "fixes" from the discussion and updates Maven to 1.0 final.  If you are agree with it, lets have this commited.


Best regards,
Rui Lopes
Comment 10 Hervé Quiroz 2004-07-18 19:28:15 UTC
Rui,

On Sat, Jul 17, 2004 at 10:36:37PM +0100, Rui Lopes wrote:
> See the attached patch, it contains all "fixes" from the discussion
> and updates Maven to 1.0 final.  If you are agree with it, lets have
> this commited.

I agree with it, excepted for some small problem I noticed. The
following statement will not perform what you intend it to do:

.for file in ${WRKSRC}/${dir}/*.jar
	<...>
.endfor

The star (*) is a shell wildcard and make will not expand it. Actually
here's the output I get:

/bin/mkdir -p /usr/local/share/java/maven/lib
install  -o root -g wheel -m 444
/usr/ports/devel/maven/work/maven-1.0//lib/*.jar /usr/local/share/java/maven/lib
/bin/mkdir -p /usr/local/share/java/maven/lib/endorsed
install  -o root -g wheel -m 444
/usr/ports/devel/maven/work/maven-1.0//lib/endorsed/*.jar /usr/local/share/java/maven/lib/endorsed
/bin/mkdir -p /usr/local/share/java/maven/plugins
install  -o root -g wheel -m 444
/usr/ports/devel/maven/work/maven-1.0//plugins/*.jar /usr/local/share/java/maven/plugins

IMHO you may remove the nested loop by using the wildcard directly (just
as it performs with your patch). I attached a patch (to be applied
against Makefile from 1.0.r2).

Herve.
Comment 11 Rui Lopes 2004-07-18 21:28:02 UTC
Hi,

Herve Quiroz wrote:
> On Sat, Jul 17, 2004 at 10:36:37PM +0100, Rui Lopes wrote:
> 
>>See the attached patch, it contains all "fixes" from the discussion
>>and updates Maven to 1.0 final.  If you are agree with it, lets have
>>this commited.
> 
> 
> I agree with it, excepted for some small problem I noticed. The
> following statement will not perform what you intend it to do:
> 
> .for file in ${WRKSRC}/${dir}/*.jar
> 	<...>
> .endfor
> 
> The star (*) is a shell wildcard and make will not expand it.

In the end it will do what we want too :)

[...]

> IMHO you may remove the nested loop by using the wildcard directly (just
> as it performs with your patch). I attached a patch (to be applied
> against Makefile from 1.0.r2).

Yes, apply this patch too.

-- Rui Lopes
Comment 12 Volker Stolz freebsd_committer 2004-08-06 10:30:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hq

Submitter is now ports-committer. 
Three cheers and a welcome-present to Herve :)
Comment 13 Herve Quiroz freebsd_committer 2004-08-08 00:49:20 UTC
State Changed
From-To: open->closed

Commited, thanks!